Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036746
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorhave not tried2017-08-30 10:262017-09-22 03:19
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisione670fbf7006c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036746: Tax Register Header print button does not generate report when invoice number is alphanumeric

DescriptionTax Register Header print button does not generate report when invoice number is alphanumeric. Integer class is assigned to field DOC_NUM in ReportRegisterLineJR.jrxml
Steps To Reproduce- Login as F&B International Group Admin
- Navigate to Tax Register Type window and create one
   - Organization: F&B España, S.A
   - Name : Test Register Type
   - GL Item: select any
   - Sales Transaction: Yes
   - Save record
- Navigate to Lines tab, create record
   - Tax: Entregas IVA 21% - IVA Normal
   - Document Type: AR Invoice
   - Save record
- Navigate to Sales Invoice window, create record
   - Organization: F&B España, S.A
   - Business Partner: Hoteles Buenas Noches, S.A.
   - Other fields default value
   - Make sure document no is set as alphanumeric value for eg: SI/224
   - Save record.
- Navigate to Lines, create record
   - Product: Bebida Energética 0,5L
   - Invoiced Quantity: 100
   - Tax: Entregas IVA 21% - IVA Normal
   - Save record.
- Complete sales invoice.
- Navigate to Tax Payment window, fill mandatory fields, define date range which includes invoice date of sales invoice created in the above steps and save record.
- Run Create Vat register process on header tab.
- Realize that record is created in Tax Register Header tab and Lines tab includes the invoice created in the above step.
- Click print button on Tax Register Header tab.
- Report is not generated in either HTML or PDF format.

Logs shows below error


java.lang.NumberFormatException
    at java.math.BigDecimal.<init>(BigDecimal.java:470)
    at java.math.BigDecimal.<init>(BigDecimal.java:739)
    at org.openbravo.erpCommon.utility.JRFieldProviderDataSource.getFieldValue(JRFieldProviderDataSource.java:141)
  
Proposed SolutionChange class of field DOCNUM from BigDecimal to String in ReportRegisterLineJR.jrxml
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099192)
AtulOpenbravo (developer)
2017-09-20 21:13

- Login as F&B International Group Admin
- Navigate to Tax Register Type window and create one
   - Organization: F&B España, S.A
   - Name : Test Register Type
   - GL Item: select any
   - Sales Transaction: Yes
   - Save record
- Navigate to Lines tab, create record
   - Tax: Entregas IVA 21% - IVA Normal
   - Document Type: AR Invoice
   - Save record
- Navigate to Sales Invoice window, create record
   - Organization: F&B España, S.A
   - Business Partner: Hoteles Buenas Noches, S.A.
   - Other fields default value
   - Make sure document no is set as alphanumeric value for eg: SI/224
   - Save record.
- Navigate to Lines, create record
   - Product: Bebida Energética 0,5L
   - Invoiced Quantity: 100
   - Tax: Entregas IVA 21% - IVA Normal
   - Save record.
- Complete sales invoice.
- Navigate to Tax Payment window, fill mandatory fields, define date range which includes invoice date of sales invoice created in the above steps and save record.
- Run Create Vat register process on header tab.
- Realize that record is created in Tax Register Header tab and Lines tab includes the invoice created in the above step.
- Click print button on Tax Register Header tab.
- Report is generated in both HTML and PDF format.
(0099203)
hgbot (developer)
2017-09-21 11:42

Repository: erp/devel/pi
Changeset: e670fbf7006c5d1afce71b62714f7f9ef3b55cee
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Sep 20 23:44:34 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e670fbf7006c5d1afce71b62714f7f9ef3b55cee [^]

Fixes issue 36746: Tax Register Header print button fails when docno is alphanumeric

Changed class for field name DOCNUM to String. BigDecimal is not applicable when
documentno are alphanumeric.

---
M src/org/openbravo/erpReports/ReportRegisterLineJR.jrxml
---
(0099204)
aferraz (developer)
2017-09-21 11:43

Code review + Testing OK
(0099448)
hudsonbot (developer)
2017-09-22 03:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79f756868bba [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-30 10:26 AtulOpenbravo New Issue
2017-08-30 10:26 AtulOpenbravo Assigned To => Triage Finance
2017-08-30 10:26 AtulOpenbravo Modules => Core
2017-08-30 10:26 AtulOpenbravo Triggers an Emergency Pack => No
2017-09-14 13:33 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-09-20 21:13 AtulOpenbravo Status new => scheduled
2017-09-20 21:13 AtulOpenbravo Note Added: 0099192
2017-09-21 11:42 hgbot Checkin
2017-09-21 11:42 hgbot Note Added: 0099203
2017-09-21 11:42 hgbot Status scheduled => resolved
2017-09-21 11:42 hgbot Resolution open => fixed
2017-09-21 11:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e670fbf7006c5d1afce71b62714f7f9ef3b55cee [^]
2017-09-21 11:43 aferraz Review Assigned To => aferraz
2017-09-21 11:43 aferraz Note Added: 0099204
2017-09-21 11:43 aferraz Status resolved => closed
2017-09-21 11:43 aferraz Fixed in Version => 3.0PR17Q4
2017-09-22 03:19 hudsonbot Checkin
2017-09-22 03:19 hudsonbot Note Added: 0099448


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker